Hyperledger Fabric (v1.1) Setup on Ubuntu 18.04 — Part II

This part will talk about the pre-requisites for installing Hyperledger Composer. If you need assistance on the choice of platform, refer to Part - I for more details.

Pre-requisites

NodeJS is essential for hyperledger composer as the development will be based on javascript. Install version 8.x as fabric relies on it and don’t install the latest version of the node. To make it more switchable between the latest and version 8.x, one could install Node Version Manager so that you don’t need to stick to 8.x all the time and use only when the fabric demands it.

Open up your terminal and run the below-mentioned command to install NVM. Note: Ensure that you have ‘CURL’ installed prior to running this command.

curl -o- https://raw.githubusercontent.com/creationix/nvm/v0.34.0/install.sh | bash</span>

Once you are done with the installation, run the following command to install node 8.x. If you don’t mention the version, the latest stable version will be installed. Once the node is installed, tell nvm to use 8 as the default node environment. Finally, run the last line to check if you have installed version 8.x. For more details refer here.

nvm install 8 nvm use 8 node -v</span>

Python is by default available in all major GNU/Linux distros. If your choice of the distro is not listed or new then check here on the steps to install python in it. It is essential that you install Python 2.7.x and not Python 3.x.

Git is one of the most widely used source control management feature and it can be installed by running the command below. For more details on git, refer here.

sudo apt-get install git</span>

Yeoman is a client-side web scaffolding tool and it is primarily used by fabric to render hyperledger composer generator that is scaffolded using yeoman. Check the docs here.

npm install -g yo</span>

Docker is a container that relieves one from worrying about the dependencies for the application and wraps up all the essentials that are needed to run your application as one docker image. Docker CE (Community Edition) is required to be installed and there are a series of steps involved while installing Docker for Ubuntu. Check the documentation here for more clarity and follow the instructions.

Visual Studio Code is the most recommended IDE for fabric development as we have the hyperledger composer plugin for VS Code. Once you install the editor, go to extensions and search for hyperledger composer plugin and install. You can also find the plugin in Visual Studio Marketplace.

sudo snap install --classic code</span>

In the next Part - III, we shall see about the installation of Hyperledger Fabric tools.